Last Comment Bug 495567 - [10.5] Firefox crashing when switching paper sizes after preview [@ objc_msgSend] [@ PrintingCocoaPDEs@0x10686]
: [10.5] Firefox crashing when switching paper sizes after preview [@ objc_msgS...
Status: RESOLVED FIXED
: crash, relnote, verified1.9.2
Product: Core
Classification: Components
Component: Printing: Setup (show other bugs)
: unspecified
: x86 Mac OS X
: -- critical with 1 vote (vote)
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
:
Mentors:
Depends on: 396680
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 17:27 PDT by aaron.chmelik
Modified: 2011-06-09 14:58 PDT (History)
9 users (show)
mbeltzner: blocking1.9.1-
samuel.sidler+old: wanted1.9.0.x+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
stack (5.43 KB, text/plain)
2009-05-30 07:51 PDT, Mats Palmgren (vacation)
no flags Details
Trunk stack with NSZombieEnabled=YES (12.28 KB, text/plain)
2009-05-30 08:24 PDT, Mats Palmgren (vacation)
no flags Details

Description aaron.chmelik 2009-05-29 17:27:36 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10

When trying to preview a web page through firefox print menu in A4 paper size, firefox crashes intermittently. This is reproducable.

Reproducible: Sometimes

Steps to Reproduce:
1.bring up the firefox print menu
2.select "Paper Handling" submenu
3.check the "Scale to fit paper size" check box
4.Select "A4" paper size
5.Click "Preview"
6.Repeat. I have not had it crash the first time, only second or third, so this step is important!
Actual Results:  
After doing this a second or third time Firefox crashes

Expected Results:  
Preview window opens up with preview

Currently using Red Shift v3. Will uninstall and try again.
Comment 1 aaron.chmelik 2009-05-29 17:35:33 PDT
Tested again with default theme, crashed after repeating steps four times.
Comment 2 Mats Palmgren (vacation) 2009-05-30 07:50:16 PDT
Confirmed, bp-35182996-c1d7-48ce-a1a9-ee9402090530
Comment 3 Mats Palmgren (vacation) 2009-05-30 07:51:24 PDT
Created attachment 380616 [details]
stack
Comment 4 Mats Palmgren (vacation) 2009-05-30 08:24:39 PDT
Created attachment 380620 [details]
Trunk stack with NSZombieEnabled=YES

-[PMPrintWindowController usingSuggestedPaper]: message sent to deallocated instance 0x1f282fa0
Comment 5 aaron.chmelik 2009-05-30 11:06:22 PDT
Further testing has shown that Firefox does not crash during attempt to preview, but after selection of "A4" paper size.
Comment 6 Marcia Knous [:marcia - use ni] 2009-05-30 16:38:08 PDT
This happens using  Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1pre) Gecko/20090530 Shiretoko/3.5pre as well, nominating to get on the radar. As Aaron notes in Comment 5, the crash happens after you select the paper size and the preview, and then go back in and select a paper size again.

Here are my STR that seem to work every time:

1. Firefox | Print
2. "Paper Handling" submenu
3. Check the "Scale to fit paper size" check box
4. Select "A4" paper size
5. Click "Preview". Then close preview and go right back in to the Paper Handling dialog.
6. In my case I selected 5x7 and I crashed. I don't think it matters which option you select (A4, 5x7, etc)
Comment 7 Steven Michaud [:smichaud] (Retired) 2009-05-30 18:19:24 PDT
I can also reproduce this, in recent Minefield, Shiretoko and
GranParadiso nightlies.

I can't repro in FF 2.0.0.20 or in Seamonkey 1.1.16 (both on the 1.8
branch), or in Camino (1.6.7 or a recent 1.9.0-branch nightly).

I suspect this is at least partly an Apple bug.  But FF probably did
something to trigger it.
Comment 8 Josh Aas 2009-06-01 06:06:17 PDT
I started to debug this, I'm reminded of bug 354110 (see bug 354110 comment #19). Bad mojo using a Carbon printing impl within a Cocoa application. The unfortunate difference with this bug is that we crash instead of just silently failing.

While this is a 100% reproducible crash I think it'll take us a little while to figure out what to do and users are unlikely to wander into these depths of the printing dialog so I recommend not blocking 1.9.1.
Comment 9 Mike Beltzner [:beltzner, not reading bugmail] 2009-06-01 08:05:51 PDT
Agreed, not blocking, will relnote. I take it the workaround is: don't do that?
Comment 10 Josh Aas 2009-06-01 09:49:34 PDT
Yup. In particular, avoid that popup menu for selecting page size. Opening that is what causes problems, print preview is fine.
Comment 11 Samuel Sidler (old account; do not CC) 2009-07-23 15:33:56 PDT
Josh: Are you still investigating this? If not, can you find an owner for it?
Comment 12 Josh Aas 2009-07-23 18:11:58 PDT
I am not currently looking into this, we need to get rid of the Carbon printing dialog. I doubt there is much we can do about this without doing so. Moving printing to Cocoa is nearing the top of our priority list.
Comment 13 Samuel Sidler (old account; do not CC) 2009-09-04 07:33:32 PDT
Markus: Is this bug fixed with your rewrite work?
Comment 14 Markus Stange [:mstange] 2009-10-30 05:44:59 PDT
It's not. :(
Comment 15 Steven Michaud [:smichaud] (Retired) 2009-12-16 12:00:41 PST
> -[PMPrintWindowController usingSuggestedPaper]: message sent to deallocated
> instance 0x1f282fa0

There's a chance this was fixed by my patch for bug 396680.  It landed today and will appear in tomorrow's trunk (mozilla-central) nightly.  Please try it out once it appears.
Comment 16 Steven Michaud [:smichaud] (Retired) 2009-12-16 12:32:56 PST
Judging from the crash reports at http://crash-stats.mozilla.com, this bug is 10.5-only -- like bug 396680.
Comment 17 Steven Michaud [:smichaud] (Retired) 2010-03-01 15:05:55 PST
This should be fixed by my patch for bug 396680 -- which has been on the trunk for a while, and just landed on the 1.9.2 and 1.9.1 branches.
Comment 18 Al Billings [:abillings] 2010-03-22 10:37:33 PDT
(In reply to comment #6)
> This happens using  Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US;
> rv:1.9.1pre) Gecko/20090530 Shiretoko/3.5pre as well, nominating to get on the
> radar. As Aaron notes in Comment 5, the crash happens after you select the
> paper size and the preview, and then go back in and select a paper size again.
> 
> Here are my STR that seem to work every time:
> 
> 1. Firefox | Print
> 2. "Paper Handling" submenu
> 3. Check the "Scale to fit paper size" check box
> 4. Select "A4" paper size
> 5. Click "Preview". Then close preview and go right back in to the Paper
> Handling dialog.
> 6. In my case I selected 5x7 and I crashed. I don't think it matters which
> option you select (A4, 5x7, etc)

I can't reproduce this on pre-fix Firefox 3.5.8. During step 5, when preview comes up, it completely dismisses the Firefox print dialog and you have to start over after quitting preview. Is this 10.5 only? Marcia, can you verify this bug is fixed on Firefox 3.5.9 and 3.6.2 candidate builds?
Comment 19 Marcia Knous [:marcia - use ni] 2010-03-22 14:04:56 PDT
Verified fixed on the 1.9.2 branch using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2. I crash easily using the 3.6 builds and following the STR in Comment 18.

I believe this bug is 10.5 only but I can check 3.5.x at a later date. Comment 16 indicates the crash data was showing this to be 10.5 only.

Note You need to log in before you can comment on or make changes to this bug.